<div class="row">

  <!-- Blog Entries Column -->
  <div class="col-md-8">

    <h1 class="my-4">{{ 'Home.title' | translate:lang }}
      <small>{{ 'Home.subtitle' | translate:lang }}</small>
    </h1>

    <h2>{{ 'popularFanfics' | translate:lang }}</h2>
    <app-fanfic-preview *ngFor="let fanfic of popularFanfics" [fanfic]="fanfic"></app-fanfic-preview>

  </div>

  <!-- Sidebar Widgets Column -->
  <div class="col-md-4">

    <!-- Categories Widget -->
    <app-categories-widget [genres]="genres"></app-categories-widget>

    <!-- Tags Widget -->
    <app-tags-widget [tags]="tags"></app-tags-widget>

    <div class="card my-4" *ngIf="tags">
      <h5 class="card-header">{{ 'newestFanfics' | translate:lang }}</h5>
      <div class="card-body">
        <div class="row">
          <div class="col-lg-12">
            <ul class="list-unstyled mb-0">
              <li *ngFor="let fanfic of newestFanfics">
                <a routerLink="/fanfic/get/{{fanfic.id}}">{{fanfic.title}}</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>

  </div>

</div>
<!-- /.container -->
